Skip to content

Verify anonymous OTP

POST
/api/v2.0/stores/{storeId}/otp-verification
curl --request POST \
--url https://api.diller.app/api/v2.0/stores/your-store-id/otp-verification \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "phone": { "country_code": "example", "number": "example" }, "otp_code": 1 }'

Verifies an OTP sent to a phone number belonging to an anonymous member (who has not yet enrolled).

storeId
required
string
Example
your-store-id
object
phone
object
country_code
required
string
>= 1 characters
number
required
string
>= 1 characters
otp_code
integer format: int32
Examplegenerated
{
"phone": {
"country_code": "example",
"number": "example"
},
"otp_code": 1
}

OK

Media typeapplication/json
object
is_ok
boolean
details
string
nullable
Examplegenerated
{
"is_ok": true,
"details": "example"
}

Bad Request

Media typeapplication/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
errors
object
key
additional properties
Array<string>
key
additional properties
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example",
"errors": {
"additionalProperty": [
"example"
]
}
}